Subject: Re: [Supa] DRAFT minutes for SUPA WG at IETF 95

From: "Liushucheng (Will)" <[email-masked]>
Date: Tue, 3 May 2016 18:48:04 +0000

>Bert: have not seem call for adoption in mailing list. want to review
>     the draft. Daniel King     <[email-masked]>

s/seem/seen and remove " Daniel King     <[email-masked]>"
 
Should be 
Bert: have not seen call for adoption in mailing list. want to review
     the draft. 

The rests are fine with me. 

Cheers,
Will (Shucheng LIU)

> -----Original Message-----
> From: Supa [mailto:[email-masked]] On Behalf Of Nevil Brownlee
> Sent: Tuesday, April 19, 2016 11:37 PM
> To: SUPA list
> Cc: Nevil Brownlee
> Subject: [Supa] DRAFT minutes for SUPA WG at IETF 95
> 
> 
> Hi all:
> 
> Thanks to Will(Shucheng) LIU for his careful note-taking!
> 
> Here is the first draft of the minutes of our WG meeting at IETF 95 in Buenos
> Aires.
> 
> If you find any errors, or have suggestions for improvements (i.e. better text ),
> please send them to me at the address cced on this email.  I plan to post the
> final version on the SUPA Proceedings page on about 26 April.
> 
> Cheers, Nevil
> 
> 
> SUPA Minutes by Will(Shucheng) LIU and Nevil Brownlee
> 
> ==================================================
> Simplified Use of Policy Abstractions WG (supa) Agenda for IETF 95, Buenos
> Aires  (95-minutes-00) Friday, 8 April 2016, 1220-1320, Atlantico C
> ==================================================
> 
> Chairs:
> Nevil Brownlee  <[email-masked]>
> Daniel King     <[email-masked]>
> 
> About 30 people present, plus 5 others on Meetecho and 7 on jabber.
> 
> AGENDA:
> 
> 1. Note Well, Agenda review, Scribes                        = 2 min
> 
> Chairs: Main focus is to get our deliverables going. No changes to the
> proposed agenda.
> 
> 2. Update from last meeting / WG Status (Nevil)             = 3 min
>        - Call for adoption issued for Policy Model
>        - We need to decide on other drafts to adopt
> 
> Nevil gave a brief update from the last WG meeting.
> 
> 3. Current charter work items
> 
>     a) Generic Policy Information Model                      = 10 min
>        draft-strassner-supa-generic-policy-info-model-05
>        Presenter: John Strassner [JS]
> 
> JS: Motivation for building an information model is twofold
>      1) policy spans many different actors (end-users, business people,
>         application developers, admins, ...)
>      2) policies cover multiple technologies and abstractions
>         Hence, we need a consistent form and structure to enable
>         different actors to communicate with each other and work
>         together.  Reminded that the WG chairs issued a call for
>         adoption.
> 
> Benoit: speak as a contributor: after checking the mailing list,
>      about the poll for adoption. Two questions: is it gppd work
>      to have IM?  shall we publish this?  The answers are, the
>      charter said we might work on IM and derive DM with IM. Then
>      nwe'll see in the end whether we should publish it.
> 
> JS: aggree, good advice.
> Dan King:  Who has read this draft?  About 10 hands.
> Dan King:  Who think it would be a good start for a model, if we
>             decide to adopt?  - aroud 20 hands.
>      >>> Chairs will ask again (on list) for adoption as WG item.
> 
> 
>     b) YANG Data Model Draft(s)                              = 10
> min
>        draft-halpern-supa-generic-policy-data-model-00
>        Presenter: Joel [JH]
> 
> JH: Is the working group willing to adopt this draft?
> Anh Le (Netcracker): Does this model nested policy (if then else if, etc)?
> JH: The representation of property of policy is captured by IM. There
>      are clauses,e.g., in ECA there are E/ C/ A clauses, each is a class.
> Bert: have not seem call for adoption in mailing list. want to review
>      the draft. Daniel King     <[email-masked]>
> 
> Nevil: how many looked at the draft? - around 15 hands.
> Andy Bieman: is this to be the solution for users of SUPA?
> JH: Yes, this is the generic policy YANG DM, and hence,
>      a part of the SUPA solution.
> Nevil: are people ok with calling for adoption? - around 10 hands
> Bert: need more time to read it.
>      >>> Chairs will ask (on list) for adoption as WG item.
> 
> 
> c) Applicability of SUPA                                 = 10 min
>        draft-vadrevu-supa-applicability-06
>        Presenter: Ying Chen [YC]
> 
> YC: Would like to see this I-D adopted by the WG.
> Will: It has several use cases, may need a priority of them
> YC: We have the actual use case that will be used in our network,
>      wewill focus on that.
> Diego Lopez: We have three model drafts, how should we merge and use
> them?
>      We need a single document describing the supa model.
> Dan King: Combine the use cases, merging of the architecture doc.
>      Show how the architecture.
>      How many people have read this document? - around 15 hands
> Nevil: There is a lot of work in here, but it's unclear how all of that
>      work meets the deliverables.  Would like to see it more concise and
>      focused, it needs further discussion on the list.  When it becomes
>      better define chairs will call for adoption as a WG item.
> 
> 
> d) SUPA Framework & Architecture                         = 10 min
>        Presenter: Bert [BW]
> 
> BW: Proposes a path forward. Previous efforts were listed, asked a
>      set of questions that have been raised. proposed the formation
>      of a design team.
> Andy Bierman: too complex, I like a solution in the scope,  would like
>      to know who are implementing this and who will use it.
> 
> Nevil: We already have a design team - the group of authors that have
>      authored this draft (or all of us in SUPA?).
>      I'd like to keep the wg focussed on its charter deliverables.
> Bert: Need an architecture, to clearly explain the particular
>      components to use.
> JS: Charter didn't contain architecture,  otherwise we need to recharter.
>      The IETF works bottom up, but architectures are done top-down.
> Bert: Framework should be used.
> Andy: Have a framework with no use cases, no need for a framework.
> Benoit: The charter says ... [reading the charter]
> JS: There are examples in the IM, there will be examples added to
>      the DM, applicability already has 5 use cases.
> Nevil: discuss on list.
> Joel: There are I-Ds out there, what is wrong with them?  Why can't we
>      discuss these drafts and fix them, instead of starting from scratch?
> Bert: I propose to have a design team to evaluate the exisitng ones.
> Georgios: Ask the authors of framework, whether they like to join
>      the design team.  Should discuss whether to work on exsitng or
>      write new ones.
> Nevil: Chair position: all should comment on the existing draft
>      candidates on the mailing list, discuss what part(s) should be
>      improved - "send text for improvements to the list!
>      We're running out of time, we have a another presentation from Jun
> Bi.
> 
> 
> 4. Discussion: which drafts to adopt as WG items?           = 5 min
>     Chairs will ask on list for adoption of IM and DM drafts
>       (marked >>> above)
> 
> 5. Any Other Business                                       =
> Remaining min
> 
>     a) Problem Statement for Simplified Use of Policy Abstractions (SUPA)
>        draft-bi-supa-problem-statement-00
>        Presenter: Jun  BI [JB]
> JB: This draft has existed for a while; the current version reflects
>      the changes that have been made to the supa value-proposition draft.
> 
> Nevil: how many read it? - around 10 hands
>      We want to see the discussion on this go on, in particular we need
>      more discussion on the IM and DM.  More progress on DM would be
>      very welcome.
> 
> --
> ---------------------------------------------------------------------
>   Nevil Brownlee                          Computer Science
> Department
>   Phone: +64 9 373 7599 x88941             The University of Auckland
>   FAX: +64 9 373 7453   Private Bag 92019, Auckland 1142, New Zealand
> 
> _______________________________________________
> Supa mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/supa

---

From: "King, Daniel" <[email-masked]>
Date: Tue, 3 May 2016 19:39:39 +0000

Thanks Will. Updated. 

BR, Dan.

-----Original Message-----
From: Supa [mailto:[email-masked]] On Behalf Of Liushucheng (Will)
Sent: 03 May 2016 23:48
To: Nevil Brownlee <[email-masked]>; SUPA list <[email-masked]>
Subject: Re: [Supa] DRAFT minutes for SUPA WG at IETF 95

 
Should be

Cheers,
Will (Shucheng LIU)

> Here is the first draft of the minutes of our WG meeting at IETF 95 in 
> Buenos Aires.
> 
> If you find any errors, or have suggestions for improvements (i.e. 
> better text ), please send them to me at the address cced on this 
> email.  I plan to post the final version on the SUPA Proceedings page on about 26 April.
> 
> Cheers, Nevil
> 
> 
> Simplified Use of Policy Abstractions WG (supa) Agenda for IETF 95, 
> Buenos Aires  (95-minutes-00) Friday, 8 April 2016, 1220-1320, 
> Atlantico C ==================================================
> 
> Chairs:
>      We're running out of time, we have a another presentation from 
> Jun Bi.
> 
>